<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.ldt.bills.mapper.BillsMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="billsResultMap" type="org.springblade.ldt.bills.entity.Bills">
        <id column="id" property="id"/>
        <result column="pay_id" property="payId"/>
        <result column="receive_id" property="receiveId"/>
        <result column="cost" property="cost"/>
        <result column="discount" property="discount"/>
        <result column="price" property="price"/>
        <result column="type" property="type"/>
        <result column="payway" property="payway"/>
        <result column="pay_plugin" property="payPlugin"/>
        <result column="channel_id" property="channelId"/>
        <result column="paystatus" property="paystatus"/>
        <result column="title" property="title"/>
        <result column="bill_desc" property="billDesc"/>
        <result column="ex_time" property="exTime"/>
        <result column="appid" property="appid"/>
        <result column="openid" property="openid"/>
        <result column="point_num" property="pointNum"/>
        <result column="balance_num" property="balanceNum"/>
        <result column="third_order_id" property="thirdOrderId"/>
    </resultMap>


    <select id="selectBillsPage" resultMap="billsResultMap">
        select * from ldt_bills where is_deleted = 0
    </select>

</mapper>
